<?php

class WikiPlugin_WlugWantedPages
extends WikiPlugin
{
    // Four required functions in a WikiPlugin.

    function getName () {
        return _("WlugWantedPages");
    }

    function getDescription () {
        return _("Reads a list of WantedPages from an external file");

    }
    // Establish default values for each of this plugin's arguments.
    function getDefaultArguments() {
        return array(); #'name'	  => "[pagename]");
    }

    function error($msg) {
	$div = HTML::div(array('class' => 'errors'));
	$div->pushContent($msg);
	return $div;
    }

    function run($dbi, $argstr, $request) {
	#extract($this->getArgs($argstr, $request));

	# should return HTML element object?

	$filename = '/tmp/Wanted/WantedWikis';
	$warn_level = error_reporting( 0 ); # temp. disable warnings
	$f = fopen($filename,"r");
	error_reporting($warn_level);

	$html = "";
	if ($f) {
		$html = '<i>generated from ' . $filename . ' (created ';
		$stat = fstat($f);
		$html .= strftime("%c", $stat['mtime']);
		$html .= ').</i>' . "\n";
		
		$request->setArg('last_modified_timestamp',$stat['mtime']);

		$html .= "<ul>\n";
		while (!feof($f)) {
			$line=fgets($f,80);
			if (!$line) {continue;}
			$term=preg_replace('!^\*\ \[(?:WLUG:)?!', '', $line);
			$term=preg_replace('/]\n$/', '', $term);
			$html .= '<li><a href="/' . $term .
			       	'" class="interwiki">WLUG:<span class="wikipage">';
			$term=str_replace('&','&amp;', $term);
			$term=str_replace('<','&lt;', $term);
			$term=str_replace('>','&gt;', $term);
		       	$html .= $term . '</span></li>' . "\n";
		}
#$links = fread($f, filesize($filename));

		fclose ($f);
		$html .= "</ul>\n";

		$html = HTML::raw($html);

		$markup_ver = 2.0;

# this *would* do what we want, except that it uses up way too
# much memory and php hits its 8MB limit, hence the manual markup above.
#		$html = TransformText($links, $markup_ver);

#		$html=HTML::div(array('class' => 'transclusion'),
#				false,
#				TransformLinks($links, $markup_ver));
	} else {
		$html=HTML::div( array('class' => 'errors') );
		$html->pushContent("unable to read file $filename");
	}
        return $html;
    }
};

?>
