<?php
rcs_id('$Id: themeinfo.php,v 1.45 2002/02/08 22:03:03 dairiki Exp $');
/**
 * WLUG Wiki Theme - 2005
 *
 * Designed By:     Kat Brown
 * Coded By:        Matt Brown
 *
 * The template code is heavily based on the original WLUG theme, which was
 * in turn heavily based on the original PHPWiki theme.
 */
require_once('lib/Theme.php');

class Theme_WLUG05 extends Theme {

    function getCSS() {
        // FIXME: this is a hack which will not be needed once
        //        we have dynamic CSS.
        $css = Theme::getCSS();
//        $css->pushContent("<link rel=\"alternate stylesheet\" title=\"Printer\" " .
//            "type=\"text/css\" charset=\"iso-8859-1\" href=\"/phpwiki/" .
//            "themes/WLUG05/WLUG05-printer.css\" media=\"print, screen\" />\n");
        return $css;
    }

    function getRecentChangesFormatter ($format) {
        include_once($this->file('lib/RecentChanges.php'));
        if (strtolower($format)=="lite")
            return '_WLUG_RecentChanges_Lite_Formatter';
        if (preg_match('/^rss/', $format))
            return false;       // use default
        return '_WLUG_RecentChanges_Formatter';
    }

    function getPageHistoryFormatter ($format) {
        include_once($this->file('lib/RecentChanges.php'));
        if (preg_match('/^rss/', $format))
            return false;       // use default
        return '_WLUG_PageHistory_Formatter';
    }

    function linkUnknownWikiWord($wikiword, $linktext = '') {
        $url = WikiURL($wikiword, array('action' => 'edit'));
        //$link = HTML::span(HTML::a(array('href' => $url), '?'));
        $link = HTML::span($this->makeButton('?', $url));
        

        if (!empty($linktext)) {
            $link->unshiftContent($linktext);
            $link->setAttr('class', 'wikiunknown');
        }
        else {
            $link->unshiftContent($this->maybeSplitWikiWord($wikiword));
            $link->setAttr('class', 'wikiunknown');
        }
        
        return $link;
    }
}

$Theme = new Theme_WLUG05('WLUG05');

// CSS file defines fonts, colors and background images for this
// style.  The companion '*-heavy.css' file isn't defined, it's just
// expected to be in the same directory that the base style is in.
$Theme->setDefaultCSS("WLUG05", "WLUG05.css");
//$Theme->addAlternateCSS(_("Printer"), 'phpwiki-printer.css', 'print, screen');
//$Theme->addAlternateCSS(_("Modern"), 'phpwiki-modern.css');
$Theme->addAlternateCSS (_("Printer"), "WLUG05-printer.css", "print, screen");

/**
 * The logo image appears on every page and links to the HomePage.
 */
//$Theme->addImageAlias('logo', 'logo.png');

/**
 * The Signature image is shown after saving an edited page. If this
 * is not set, any signature defined in index.php will be used. If it
 * is not defined by index.php or in here then the "Thank you for
 * editing..." screen will be omitted.
 */
$Theme->addImageAlias('signature', 'signature.png');

/*
 * Link icons.
 */
$Theme->setLinkIcon('http');
$Theme->setLinkIcon('https');
$Theme->setLinkIcon('ftp');
$Theme->setLinkIcon('mailto');
$Theme->setLinkIcon('interwiki');

$Theme->setButtonSeparator(""); //use no separator instead of default

$Theme->addButtonAlias('?', 'uww');
$Theme->addButtonAlias(_("Lock Page"), "Lock Page");
$Theme->addButtonAlias(_("Unlock Page"), "Unlock Page");
$Theme->addButtonAlias(_("Page Locked"), "Page Locked");
$Theme->addButtonAlias("...", "alltime");

/**
 * WikiWords can automatically be split by inserting spaces between
 * the words. The default is to leave WordsSmashedTogetherLikeSo.
 */
//$Theme->setAutosplitWikiWords(false);

/*
 * You may adjust the formats used for formatting dates and times
 * below.  (These examples give the default formats.)
 * Formats are given as format strings to PHP strftime() function See
 * http://www.php.net/manual/en/function.strftime.php for details.
 * Do not include the server's zone (%Z), times are converted to the
 * user's time zone.
 */
$Theme->setDateFormat("%A, %B %e, %Y"); // must not contain time
$Theme->setTimeFormat("%l:%M:%S %p");
?>
